> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Team

> Get team information by ID

This endpoint returns the team details if the authentication token has access to it.


## OpenAPI

````yaml GET /team/{team_id}
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /team/{team_id}:
    get:
      description: Get a team by ID
      parameters:
        - name: team_id
          in: path
          description: ID of the team
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Team details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Team'
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - bearerAuth: []
components:
  schemas:
    Team:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        TeamRoles:
          type: array
          items:
            $ref: '#/components/schemas/TeamRole'
        showBranding:
          type: boolean
        allowReportRefresh:
          type: boolean
        allowReportExport:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    TeamRole:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        user_id:
          type: integer
        role:
          type: string
        projects:
          type: array
          items:
            type: string
        canExport:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````